StatsMetadata.StatsMetadataSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.io.sstable.metadata

## Class StatsMetadata.StatsMetadataSerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.StatsMetadata.StatsMetadataSerializer

- All Implemented Interfaces:
    IMetadataComponentSerializer<StatsMetadata>
  Enclosing class:
    StatsMetadata

      public static class StatsMetadata.StatsMetadataSerializer
      extends java.lang.Object
      implements IMetadataComponentSerializer<StatsMetadata>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsMetadataSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StatsMetadata` | `deserialize(Version version, java.io.DataInput in)` Deserialize metadata component from given input.
    `void` | `serialize(StatsMetadata component, Version version, DataOutputPlus out)` Serialize metadata component to given output.
    `int` | `serializedSize(StatsMetadata component, Version version)` Calculate and return serialized size.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatsMetadataSerializer

          public StatsMetadataSerializer()

  - ### Method Detail

    - #### serializedSize

          public int serializedSize(StatsMetadata component,
                                    Version version)
                             throws java.io.IOException

      Description copied from interface: `IMetadataComponentSerializer`
      Calculate and return serialized size.
      Specified by:
        `serializedSize` in interface `IMetadataComponentSerializer<StatsMetadata>`
      Parameters:
        `component` - MetadataComponent to calculate serialized size
      Returns:
        serialized size of this component
      Throws:
        `java.io.IOException`

    - #### serialize

          public void serialize(StatsMetadata component,
                                Version version,
                                DataOutputPlus out)
                         throws java.io.IOException

      Description copied from interface: `IMetadataComponentSerializer`
      Serialize metadata component to given output.
      Specified by:
        `serialize` in interface `IMetadataComponentSerializer<StatsMetadata>`
      Parameters:
        `component` - MetadataComponent to serialize
        `out` - serialize destination
      Throws:
        `java.io.IOException`

    - #### deserialize

          public StatsMetadata deserialize(Version version,
                                           java.io.DataInput in)
                                    throws java.io.IOException

      Description copied from interface: `IMetadataComponentSerializer`
      Deserialize metadata component from given input.
      Specified by:
        `deserialize` in interface `IMetadataComponentSerializer<StatsMetadata>`
      Parameters:
        `version` - serialize version
        `in` - deserialize source
      Returns:
        Deserialized component
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation